## ganeti-htools 0.2.2

=== Makefile ===
HPROGS = hbal hscan hail hspace
HALLPROGS = $(HPROGS) test
HSRCS := $(wildcard Ganeti/HTools/*.hs) $(wildcard Ganeti/*.hs)
HDDIR = apidoc

DOCS = README.html NEWS.html

HFLAGS = -O2 -Wall -Werror -fwarn-monomorphism-restriction -fwarn-tabs
HEXTRA =

HPCEXCL = --exclude Main --exclude Ganeti.HTools.QC

# Haskell rules

all: $(HPROGS)

$(HALLPROGS): %: %.hs Ganeti/HTools/Version.hs $(HSRCS) Makefile
	ghc --make $(HFLAGS) $(HEXTRA) $@

test: HEXTRA=-fhpc -Wwarn

$(DOCS) : %.html : %
	rst2html $< $@

doc: $(DOCS) Ganeti/HTools/Version.hs
	rm -rf $(HDDIR)/*
	mkdir -p $(HDDIR)/Ganeti/HTools
	cp hscolour.css $(HDDIR)/Ganeti/HTools
	for file in $(HSRCS); do \
		HsColour -css -anchor \
		$$file > $(HDDIR)/Ganeti/HTools/`basename $$file .hs`.html ; \
	done
	haddock --odir $(HDDIR) --html --ignore-all-exports \
		-t ganeti-htools -p haddock-prologue \
		--source-module="%{MODULE/.//}.html" \
		--source-entity="%{MODULE/.//}.html#%{NAME}" \
		$(filter-out Ganeti/HTools/ExtLoader.hs,$(HSRCS))

maintainer-clean:
	rm -rf $(HDDIR)
	rm -f $(DOCS) TAGS version Ganeti/HTools/Version.hs

clean:
	rm -f $(HALLPROGS)
	rm -f *.o *.prof *.ps *.stat *.aux *.hi
	rm -f Ganeti/HTools/Version.hs
	cd Ganeti && rm -f *.o *.prof *.ps *.stat *.aux *.hi
	cd Ganeti/HTools && rm -f *.o *.prof *.ps *.stat *.aux *.hi

regen-version:
	rm -f version
	$(MAKE) version

version:
	if test -d .git; then \
	  git describe > $@; \
	elif test ! -f $@ ; then \
	  echo "Cannot auto-generate $@ file"; exit 1; \
	fi

Ganeti/HTools/Version.hs: Ganeti/HTools/Version.hs.in version
	sed -e "s/%ver%/$$(cat version)/" < $< > $@

dist: regen-version Ganeti/HTools/Version.hs doc
	set -e ; \
	VN=$$(cat version|sed 's/^v//') ; \
	PFX="ganeti-htools-$$VN" ; \
	ANAME="$$PFX.tar" ; \
	rm -f $$ANAME $$ANAME.gz ; \
	git archive --format=tar --prefix=$$PFX/ HEAD > $$ANAME ; \
	tar -r -f $$ANAME --owner root --group root \
	    --transform="s,^,$$PFX/," version apidoc $(DOCS) ; \
	gzip -v9 $$ANAME ; \
	TMPDIR=$$(mktemp -d) ; \
	tar xzf $$ANAME.gz -C $$TMPDIR; \
	(cd $$TMPDIR/$$PFX; make; make clean; make check); \
	rm -rf $$TMPDIR ; \
	tar tzvf $$ANAME.gz ; \
	sha1sum $$ANAME.gz ; \
	echo "Archive $$ANAME.gz created."

check: test
	rm -f *.tix *.mix
	./test
ifeq ($(T),markup)
	mkdir -p coverage
	hpc markup --destdir=coverage test $(HPCEXCL)
else
	hpc report test $(HPCEXCL)
endif

tags:
	find -name '*.hs' | xargs hasktags -e

.PHONY : all doc maintainer-clean clean dist check tags regen-version

=== debian/changelog ===
ganeti-htools (0.2.2-1) unstable; urgency=low

  * Initial release (Closes: #562658)

 -- Iustin Pop <iusty@k1024.org>  Tue, 29 Dec 2009 22:09:02 +0100

=== debian/control ===
Source: ganeti-htools
Section: admin
Priority: extra
Maintainer: Debian Ganeti Team <pkg-ganeti-devel@lists.alioth.debian.org>
Uploaders: Iustin Pop <iusty@k1024.org>, Guido Trotter <ultrotter@debian.org>
Build-Depends: debhelper (>= 7), ghc6, libghc6-curl-dev, libghc6-json-dev,
 libghc6-network-dev, libcurl4-gnutls-dev
Standards-Version: 3.8.3
Homepage: http://code.google.com/p/ganeti/
Vcs-Browser: http://git.debian.org/?p=pkg-ganeti/htools.git
Vcs-Git: git://git.debian.org/pkg-ganeti/htools.git
DM-Upload-Allowed: yes

Package: ganeti-htools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Cluster allocation tools for Ganeti
 These are additional tools used for enhanced allocation and capacity
 calculation on Ganeti clusters.
 .
 The tools provided are:
   - hail, an iallocator script for ganeti
   - hbal, used to redistribute instances on the cluster
   - hspace, used for capacity calculation
   - hscan, used to gather cluser files for offline use in hbal/hspace

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess.
#
# This version is for packages that are architecture dependent.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean
	rm -rf .hpc

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/<packagename>
	for cmd in hspace hscan hbal; do \
	install -m 0755 $$cmd $(CURDIR)/debian/ganeti-htools/usr/bin/ ; \
	done
	install -m 0755 hail \
	  $(CURDIR)/debian/ganeti-htools/usr/lib/ganeti/iallocators/

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installcatalogs
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installwm
#	dh_installudev
#	dh_lintian
#	dh_bugfiles
#	dh_undocumented
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

# code.google.com/p/$project/downloads/list has links to
# $project.googlecode.com/files/
http://code.google.com/p/ganeti/downloads/list \
    http://ganeti.googlecode.com/files/ganeti-htools-(\d+\.\d+[\d.]*)\.tar\.gz

## ganeti-htools 0.2.5

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 HALLPROGS = $(HPROGS) test
 HSRCS := $(wildcard Ganeti/HTools/*.hs) $(wildcard Ganeti/*.hs)
 HDDIR = apidoc
+GHC := ghc
 
 DOCS = README.html NEWS.html
 
@@ -15,7 +16,7 @@
 all: $(HPROGS)
 
 $(HALLPROGS): %: %.hs Ganeti/HTools/Version.hs $(HSRCS) Makefile
-	ghc --make $(HFLAGS) $(HEXTRA) $@
+	$(GHC) --make $(HFLAGS) $(HEXTRA) $@
 
 test: HEXTRA=-fhpc -Wwarn
 
@@ -63,7 +64,7 @@
 
 dist: regen-version Ganeti/HTools/Version.hs doc
 	set -e ; \
-	VN=$$(cat version|sed 's/^v//') ; \
+	VN=$$(sed 's/^v//' < version) ; \
 	PFX="ganeti-htools-$$VN" ; \
 	ANAME="$$PFX.tar" ; \
 	rm -f $$ANAME $$ANAME.gz ; \
@@ -73,7 +74,9 @@
 	gzip -v9 $$ANAME ; \
 	TMPDIR=$$(mktemp -d) ; \
 	tar xzf $$ANAME.gz -C $$TMPDIR; \
-	(cd $$TMPDIR/$$PFX; make; make clean; make check); \
+	$(MAKE) -C $$TMPDIR/$$PFX; \
+	$(MAKE) -C $$TMPDIR/$$PFX clean; \
+	$(MAKE) -C $$TMPDIR/$$PFX check; \
 	rm -rf $$TMPDIR ; \
 	tar tzvf $$ANAME.gz ; \
 	sha1sum $$ANAME.gz ; \
@@ -92,4 +95,7 @@
 tags:
 	find -name '*.hs' | xargs hasktags -e
 
+lint:
+	hlint -r -u .
+
 .PHONY : all doc maintainer-clean clean dist check tags regen-version

=== debian/changelog ===
ganeti-htools (0.2.5-1) unstable; urgency=low

  * New upstream version (hscan now works over Luxi protocol, and
    hspace exports more metrics)
  * Remove ghc6.12 warnings patch (integrated upstream)

 -- Iustin Pop <iustin@debian.org>  Mon, 24 May 2010 12:02:43 +0200

ganeti-htools (0.2.4-1) unstable; urgency=low

  * New upstream version
  * Update my address and remove DM-Upload-Allowed
  * Standards version 3.8.4 (no changes needed)
  * Add a patch fixing warnings with ghc 6.12 (Closes: #571173)

 -- Iustin Pop <iustin@debian.org>  Wed, 24 Feb 2010 22:44:49 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,13 @@
 Section: admin
 Priority: extra
 Maintainer: Debian Ganeti Team <pkg-ganeti-devel@lists.alioth.debian.org>
-Uploaders: Iustin Pop <iusty@k1024.org>, Guido Trotter <ultrotter@debian.org>
-Build-Depends: debhelper (>= 7), ghc6, libghc6-curl-dev, libghc6-json-dev,
- libghc6-network-dev, libcurl4-gnutls-dev
-Standards-Version: 3.8.3
+Uploaders: Iustin Pop <iustin@debian.org>, Guido Trotter <ultrotter@debian.org>
+Build-Depends: debhelper (>= 7), ghc6 (>= 6.12), libghc6-curl-dev, 
+ libghc6-json-dev, libghc6-network-dev, libcurl4-gnutls-dev
+Standards-Version: 3.8.4
 Homepage: http://code.google.com/p/ganeti/
 Vcs-Browser: http://git.debian.org/?p=pkg-ganeti/htools.git
 Vcs-Git: git://git.debian.org/pkg-ganeti/htools.git
-DM-Upload-Allowed: yes
 
 Package: ganeti-htools
 Architecture: any

## ganeti-htools 0.2.6

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,9 @@
 $(HALLPROGS): %: %.hs Ganeti/HTools/Version.hs $(HSRCS) Makefile
 	$(GHC) --make $(HFLAGS) $(HEXTRA) $@
 
-test: HEXTRA=-fhpc -Wwarn
+test live-test: HEXTRA=-fhpc -Wwarn -fno-warn-missing-signatures \
+	-fno-warn-monomorphism-restriction -fno-warn-orphans \
+	-fno-warn-missing-methods -fno-warn-unused-imports
 
 $(DOCS) : %.html : %
 	rst2html $< $@
@@ -92,6 +94,19 @@
 	hpc report test $(HPCEXCL)
 endif
 
+live-test: all
+	rm -f *.tix *.mix
+	./live-test.sh
+	# combine the tix files
+	hpc sum --union $(HPCEXCL) $(addsuffix .tix,$(HPROGS)) \
+	  --output=live-test.tix
+ifeq ($(T),markup)
+	mkdir -p coverage
+	hpc markup --destdir=coverage live-test $(HPCEXCL)
+else
+	hpc report live-test $(HPCEXCL)
+endif
+
 tags:
 	find -name '*.hs' | xargs hasktags -e

=== debian/changelog ===
ganeti-htools (0.2.6-1) unstable; urgency=low

  [ Iustin Pop ]
  * New Upstream version
  * Adjust watch file for new code.google.com layout
  * Standards version 3.9.1 (no changes needed)

  [ Erik Esterer ]
  * Typo in package description (Closes: #590265)

 -- Iustin Pop <iustin@debian.org>  Thu, 29 Jul 2010 19:34:49 -0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Iustin Pop <iustin@debian.org>, Guido Trotter <ultrotter@debian.org>
 Build-Depends: debhelper (>= 7), ghc6 (>= 6.12), libghc6-curl-dev, 
  libghc6-json-dev, libghc6-network-dev, libcurl4-gnutls-dev
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://code.google.com/p/ganeti/
 Vcs-Browser: http://git.debian.org/?p=pkg-ganeti/htools.git
 Vcs-Git: git://git.debian.org/pkg-ganeti/htools.git
@@ -21,4 +21,4 @@
    - hail, an iallocator script for ganeti
    - hbal, used to redistribute instances on the cluster
    - hspace, used for capacity calculation
-   - hscan, used to gather cluser files for offline use in hbal/hspace
+   - hscan, used to gather cluster files for offline use in hbal/hspace

=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3

# new version of download list
opts=\
downloadurlmangle=s_code\.google\.com/p/ganeti/downloads/_ganeti\.googlecode\.com/files/_;\
s/detail\?name=([^&]*).*/$1/,\
filenamemangle=s/detail\?name=([^&]*).*/$1/ \
http://code.google.com/p/ganeti/downloads/list \
	detail\?name=ganeti-htools-(\d+\.\d+[\d.]*)\.tar\.gz(?:&.*)?

## ganeti-htools 0.3.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,6 @@
 HPROGS = hbal hscan hail hspace
+MANS = $(HPROGS:%=man/%.1)
+MANHTML = $(HPROGS:%=man/%.html)
 HALLPROGS = $(HPROGS) test
 HSRCS := $(wildcard Ganeti/HTools/*.hs) $(wildcard Ganeti/*.hs)
 HDDIR = apidoc
@@ -13,7 +15,10 @@
 
 # Haskell rules
 
-all: $(HPROGS)
+all: $(HPROGS) man
+
+man: $(MANS) $(MANHTML)
+
 
 $(HALLPROGS): %: %.hs Ganeti/HTools/Version.hs $(HSRCS) Makefile
 	$(GHC) --make $(HFLAGS) $(HEXTRA) $@
@@ -23,15 +28,22 @@
 	-fno-warn-missing-methods -fno-warn-unused-imports
 
 $(DOCS) : %.html : %
-	rst2html $< $@
+	LANG=en_US.UTF-8 pandoc -f rst -t html -o $@ $<
+
+%.1: %.rst
+	LANG=en_US.UTF-8 pandoc -s -f rst -t man -o $@ $<
+
+%.html: %.rst
+	LANG=en_US.UTF-8 pandoc -s -f rst -t html -o $@ $<
 
 doc: $(DOCS) Ganeti/HTools/Version.hs
 	rm -rf $(HDDIR)/*
 	mkdir -p $(HDDIR)/Ganeti/HTools
-	cp hscolour.css $(HDDIR)/Ganeti/HTools
+	HsColour -print-css > $(HDDIR)/Ganeti/hscolour.css
+	ln -s ../hscolour.css $(HDDIR)/Ganeti/HTools/hscolour.css
 	for file in $(HSRCS); do \
-		HsColour -css -anchor \
-		$$file > $(HDDIR)/Ganeti/HTools/`basename $$file .hs`.html ; \
+		hfile=`echo $$file|sed 's/\\.hs$$//'`.html; \
+		HsColour -css -anchor $$file > $(HDDIR)/$$hfile ; \
 	done
 	haddock --odir $(HDDIR) --html --ignore-all-exports \
 		-t ganeti-htools -p haddock-prologue \
@@ -42,6 +54,7 @@
 maintainer-clean:
 	rm -rf $(HDDIR)
 	rm -f $(DOCS) TAGS version Ganeti/HTools/Version.hs
+	rm -f $(MANS) $(MANHTML)
 
 clean:
 	rm -f $(HALLPROGS)
@@ -64,7 +77,10 @@
 Ganeti/HTools/Version.hs: Ganeti/HTools/Version.hs.in version
 	sed -e "s/%ver%/$$(cat version)/" < $< > $@
 
-dist: regen-version Ganeti/HTools/Version.hs doc
+dist:
+	$(MAKE) maintainer-clean
+	$(MAKE) regen-version Ganeti/HTools/Version.hs doc
+	$(MAKE) man
 	set -e ; \
 	VN=$$(sed 's/^v//' < version) ; \
 	PFX="ganeti-htools-$$VN" ; \
@@ -72,7 +88,8 @@
 	rm -f $$ANAME $$ANAME.gz ; \
 	git archive --format=tar --prefix=$$PFX/ HEAD > $$ANAME ; \
 	tar -r -f $$ANAME --owner root --group root \
-	    --transform="s,^,$$PFX/," version apidoc $(DOCS) ; \
+	    --transform="s,^,$$PFX/,S" version apidoc \
+	    $(DOCS) $(MANS) $(MANHTML); \
 	gzip -v9 $$ANAME ; \
 	TMPDIR=$$(mktemp -d) ; \
 	tar xzf $$ANAME.gz -C $$TMPDIR; \
@@ -113,4 +130,4 @@
 lint:
 	hlint -r -u .
 
-.PHONY : all doc maintainer-clean clean dist check tags regen-version
+.PHONY : all doc maintainer-clean clean dist check tags regen-version man

=== debian/changelog ===
ganeti-htools (0.3.1-2) unstable; urgency=low

  * Adjust build-deps for current sid packages (Closes: #629737)
  * Standards version 3.9.2 (no changes needed)

 -- Iustin Pop <iustin@debian.org>  Sun, 26 Jun 2011 00:07:39 +0200

ganeti-htools (0.3.1-1) unstable; urgency=low

  * New upstream version (minor fixes: better error messages in luxi
    backend, fixed source archive generation)

 -- Iustin Pop <iustin@debian.org>  Fri, 11 Mar 2011 21:15:21 +0100

ganeti-htools (0.3.0-1) unstable; urgency=low

  * New upstream version (conflicts with ganeti < 2.4.0)

 -- Iustin Pop <iustin@debian.org>  Thu, 10 Mar 2011 20:38:08 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: extra
 Maintainer: Debian Ganeti Team <pkg-ganeti-devel@lists.alioth.debian.org>
 Uploaders: Iustin Pop <iustin@debian.org>, Guido Trotter <ultrotter@debian.org>
-Build-Depends: debhelper (>= 7), ghc6 (>= 6.12), libghc6-curl-dev, 
- libghc6-json-dev, libghc6-network-dev, libcurl4-gnutls-dev
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 7), ghc (>= 6.12), libghc-curl-dev,
+ libghc-json-dev, libghc-network-dev, libcurl4-gnutls-dev,
+ libghc-parallel-dev
+Standards-Version: 3.9.2
 Homepage: http://code.google.com/p/ganeti/
 Vcs-Browser: http://git.debian.org/?p=pkg-ganeti/htools.git
 Vcs-Git: git://git.debian.org/pkg-ganeti/htools.git
@@ -13,6 +14,7 @@
 Package: ganeti-htools
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks: ganeti2 (<< 2.4)
 Description: Cluster allocation tools for Ganeti
  These are additional tools used for enhanced allocation and capacity
  calculation on Ganeti clusters.

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,10 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
+
 build-stamp:
 	dh_testdir

=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3

# code.google.com/p/$project/downloads/list has links to
# $project.googlecode.com/files/
http://code.google.com/p/ganeti/downloads/list \
    http://ganeti.googlecode.com/files/ganeti-htools-(\d+\.\d+[\w.]*)\.tar\.gz
